package com.goafanti.order.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class OutOrderSalesSource {
    private Integer province;
    @Excel(name = "省份",width = 10)
    private String name;
    @Excel(name = "签单金额（万元）",scale=6)
    private BigDecimal totalAmount;
    @Excel(name = "签单数（个）",width = 10)
    private Integer counts;
    @Excel(name = "电话新开发",width = 10)
    private Integer dhxkf;
    @Excel(name = "电话新开发占比",percentage = 1,width = 10)
    private String dhxkfl;
    @Excel(name = "电话自带资源",width = 10)
    private Integer dhzdzy;
    @Excel(name = "电话自带资源占比",percentage = 1,width = 10)
    private String dhzdzyl;
    @Excel(name = "网络",width = 10)
    private Integer wl;
    @Excel(name = "网络占比",percentage = 1,width = 10)
    private String wll;
    @Excel(name = "渠道",width = 10)
    private Integer qd;
    @Excel(name = "渠道占比",percentage = 1,width = 10)
    private String qdl;
    @Excel(name = "转介绍",width = 10)
    private Integer zjs;
    @Excel(name = "转介绍占比",percentage = 1,width = 10)
    private String zjsl;
    @Excel(name = "其他",width = 10)
    private Integer qt;
    @Excel(name = "其他占比",percentage = 1,width = 10)
    private String qtl;
    @Excel(name = "高新复购",width = 10)
    private Integer gxfg;
    @Excel(name = "高新复购占比",percentage = 1,width = 10)
    private String gxfgl;
    @Excel(name = "其他复购",width = 10)
    private Integer qtfg;
    @Excel(name = "其他复购占比",percentage = 1,width = 10)
    private String qtfgl;

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getCounts() {
        return counts;
    }

    public void setCounts(Integer counts) {
        this.counts = counts;
    }

    public Integer getDhxkf() {
        return dhxkf;
    }

    public void setDhxkf(Integer dhxkf) {
        this.dhxkf = dhxkf;
    }

    public String getDhxkfl() {
        return dhxkfl;
    }

    public void setDhxkfl(String dhxkfl) {
        this.dhxkfl = dhxkfl;
    }

    public Integer getDhzdzy() {
        return dhzdzy;
    }

    public void setDhzdzy(Integer dhzdzy) {
        this.dhzdzy = dhzdzy;
    }

    public String getDhzdzyl() {
        return dhzdzyl;
    }

    public void setDhzdzyl(String dhzdzyl) {
        this.dhzdzyl = dhzdzyl;
    }

    public Integer getWl() {
        return wl;
    }

    public void setWl(Integer wl) {
        this.wl = wl;
    }

    public String getWll() {
        return wll;
    }

    public void setWll(String wll) {
        this.wll = wll;
    }

    public Integer getQd() {
        return qd;
    }

    public void setQd(Integer qd) {
        this.qd = qd;
    }

    public String getQdl() {
        return qdl;
    }

    public void setQdl(String qdl) {
        this.qdl = qdl;
    }

    public Integer getZjs() {
        return zjs;
    }

    public void setZjs(Integer zjs) {
        this.zjs = zjs;
    }

    public String getZjsl() {
        return zjsl;
    }

    public void setZjsl(String zjsl) {
        this.zjsl = zjsl;
    }

    public Integer getQt() {
        return qt;
    }

    public void setQt(Integer qt) {
        this.qt = qt;
    }

    public String getQtl() {
        return qtl;
    }

    public void setQtl(String qtl) {
        this.qtl = qtl;
    }

    public Integer getGxfg() {
        return gxfg;
    }

    public void setGxfg(Integer gxfg) {
        this.gxfg = gxfg;
    }

    public String getGxfgl() {
        return gxfgl;
    }

    public void setGxfgl(String gxfgl) {
        this.gxfgl = gxfgl;
    }

    public Integer getQtfg() {
        return qtfg;
    }

    public void setQtfg(Integer qtfg) {
        this.qtfg = qtfg;
    }

    public String getQtfgl() {
        return qtfgl;
    }

    public void setQtfgl(String qtfgl) {
        this.qtfgl = qtfgl;
    }
}
